document.write("<script src='http://api.map.baidu.com/api?ak=bGtAf9t9Pdfh92HxNUjRe9xq&v=2.0'></script>");

//传入经纬度，获取地址省份
var getCityByGPS = function(lng, lat, fuc) {
	if (lng != "" && lat != "") {
		var pt = new BMap.Point(lng, lat);
		var geoc = new BMap.Geocoder();
		geoc.getLocation(pt, function(rs) {
			var addComp = rs.addressComponents;
			fuc(addComp);
		});
	}
};
//默认市编码：成都市
var citycode = "{\"code\":\"510100\",\"name\":\"成都市\"}";
//默认区编码：武侯区
var distcode = "{\"code\":\"510107\",\"name\":\"武侯区\"}";
//通过定位，获取定位信息，保存到缓存，需要在mui.min.js后加载
function gpsLocation(callback) {
	plus.geolocation.getCurrentPosition(function(position){
		var city;
		var dist;
		if (position.address) {
			city = position.address.city;
			dist = position.address.district;
		}
		if (dist && city) {
			var url = apiurl + '/api/logic/querydistrict.asp?lv3=' + dist+"&lv2="+city;
			mui.ajax({
				url: url,
				data: {},
				dataType: 'jsonp', //服务器返回json格式数据
				type: 'get', //HTTP请求类型
				timeout: 10000, //超时时间设置为10秒；
				success: function(data) {
					data = JSON.parse(data);
					if (data.status == 0 && data.data.length > 0) {
						//定位城市
						setStorage("$locationcity","{\"code\":\""+data.data[0].pid+"\",\"name\":\""+city+"\"}");
						setDefault("{\"code\":\""+data.data[0].pid+"\",\"name\":\""+city+"\"}", "{\"code\":\""+data.data[0].code+"\",\"name\":\""+dist+"\"}",callback);
					} else {
						//定位错误，默认
						setDefault(citycode, distcode,callback);
					}
				},
				error: function(e){
					//定位错误，默认
					setDefault(citycode, distcode,callback);
				}
			});
		} else if(position.coords){
			getCityByGPS(position.coords.longitude, position.coords.latitude, function(ret) {
				city = ret.city;
				dist = ret.district;
				if (city && dist) {
					var url = apiurl + '/api/logic/querydistrict.asp?lv3=' + dist+"&lv2="+city;
					mui.ajax({
						url: url,
						data: {},
						dataType: 'jsonp', //服务器返回json格式数据
						type: 'get', //HTTP请求类型
						timeout: 10000, //超时时间设置为10秒；
						success: function(data) {
							data = JSON.parse(data);
							if (data.status == 0 && data.data.length > 0) {
								//定位城市
								setStorage("$locationcity","{\"code\":\""+data.data[0].pid+"\",\"name\":\""+city+"\"}");
								setDefault("{\"code\":\""+data.data[0].pid+"\",\"name\":\""+city+"\"}", "{\"code\":\""+data.data[0].code+"\",\"name\":\""+dist+"\"}",callback);
							} else {
								//定位错误，默认
								setDefault(citycode, distcode,callback);
							}
						},
						error: function(){
							//定位错误，默认
							setDefault(citycode, distcode,callback);
						}
					});
				} else {
					//定位错误，默认
					setDefault(citycode, distcode,callback);
				}
			});
		}else{
			//定位错误，默认
			setDefault(citycode, distcode,callback);
		}
	}, function(e) {
		//定位错误，默认
		setDefault(citycode, distcode,callback);
		
		switch (e.code) {
			case e.PERMISSION_DENIED:
				console("User denied the request for Geolocation.");
				break;
			case e.POSITION_UNAVAILABLE:
				console("Location information is unavailable.");
				break;
			case e.TIMEOUT:
				console("The request to get user location timed out.");
				break;
			case e.UNKNOWN_ERROR:
				console("An unknown error occurred.");
				break;
		}
		console.log(e.message);
	});
}

function setDefault(cityCode,distCode, callback){
	setStorage("$citycode",cityCode);
	setStorage("$distcode",distCode);
	callback();
}
