/**
 * 
 * 我的常用地址列表
 * 
 */
var ALIEVEDATA = new Map();
var pagestart = 0;
var pangeLength = 10;
var PAGESUM = 0;
var view = $("#indexedList");
//
var listpageid = "";
/**
 *	常用地址列表
 **/
mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: { // 下拉刷新
			contentrefresh: '正在加载...',
			callback: pulldownRefresh
		}
//		},
//		up: { //上拉加载
//			contentrefresh: '正在加载...',
//			callback: pullupRefresh
//		}
	}
});
//页面初始化
mui.plusReady(function() {
	var data = plus.webview.currentWebview().data;
	//获得事件参数
	listpageid = "indexed-list-select.html";
	cl("pageid为" + listpageid, listpageid);
	
	waybilllist.init();
	//页面监听
	window.addEventListener('refresh', function(e) {
		ALIEVEDATA=new Map();
		PAGESUM = 0;
		view.empty();
		waybilllist.init();
	});
});

//初始化执行
//下拉刷新
function pulldownRefresh() {
	setTimeout(function() {
		waybilllist.getListByCid(0, pangeLength, false);
	}, 1000);
};
/**
 * 上拉加载
 */
function pullupRefresh() {
	setTimeout(function() {
		waybilllist.getListByCid(ALIEVEDATA.size(), pangeLength, true);
	}, 1000);
}
/**
 * 根据指定条件
 * 
 * 获取数据集合
 * @type {{}}
 */
var waybilllist = {
	/**
	 * 分页查询
	 * @param start
	 * @param length
	 * @param flag
	 */
	getListByCid: function(start, length, flag) {
		var infoStr = getUserInfo(false);
		var param = new Object();
		
		param.action = '/IlgWaybill/commonAddress.do';
		if(infoStr != null) {
			param.consignorUuid = infoStr.USERUUID;
			param.token = infoStr.TOKEN;
		} else {
			mui.toast("没有登录，请先登录");
			return;
		}
		param.page = "[" + PAGESUM + "," + length + "]";
		//-------------------------
		getdatalist2(param, function(ret) {
			var data = ret.data;
			sp("运单列表信息", data);
			removeNoData();
			if(data.length > 0) {
				PAGESUM = ALIEVEDATA.size();
				//循环遍历
				mui.each(data, function(index, obj) {
					var resultStr = "";
					resultStr = waybilllist.usedAddressTpl(obj);
					if(!ALIEVEDATA.isExist(obj.shipperPhone)) {
						ALIEVEDATA.put(obj.shipperPhone,obj.consigneePhone);
						if(flag) {
							//加载更多往后追加
							view.append(resultStr);
						} else {
							//下拉刷新往前追加
							view.prepend(resultStr);
						}
					}
				});
				//-------------
				if(flag) {
					if(ALIEVEDATA.size() == PAGESUM) {
						//页面集合数等于数据库总记录数代表没有更多数据
						nomore();
					} else {
						flush(true);
					}
				} else {
					flush();
				}
			} else {
				noData(view, "li");
				nomore();
			}

			if(data) {
				waybilllist.event();
			}
		});
	},
	//渲染常用地址列表方法
	usedAddressTpl: function(data) {
		var html = $("#indexedListTpl").html();
		var obj = laytpl(html);
		return obj.render(data);
	},
	//
	event: function() {
		mui("#indexedList").on("tap", "li", function() {
			var orderno = this.getAttribute("orderNo");
			var tempdata= new Array();
			tempdata=orderno.split("-");
			var param={
				SENDGOODSADDRS:tempdata[0],
				
			};
			var list = plus.webview.getWebviewById('indexed-list-select.html');
			//触发列表界面的自定义事件（refresh）,从而进行数据刷新
			mui.fire(list,'refresh',param);
			mui.back();
		});
	},
	/**
	 * 初始化方法
	 * @param cid
	 * @param type
	 */
	init: function() {
		waybilllist.getListByCid(0, pangeLength, true);
	}
};
