/**
 * Created by zj on 2016/8/18
 * 历史报价相关功能
 * 
 */

var ALIEVEDATA = new Map();
var pagestart = 0;
var pangeLength = 5;
var PAGESUM = 0;
var view = $("#showT");
//
var listpageid = "";
//初始化执行
mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: { // 下拉刷新
			contentrefresh: '正在加载...',
			callback: pulldownRefresh
		}
//		,
//		up: { //上拉加载
//			contentrefresh: '正在加载...',
//			callback: pullupRefresh
//		}
	}
});
mui.plusReady(function() {
	var data = plus.webview.currentWebview().data;
	//获得事件参数
	listpageid = "historyquote_sublist.html";
	cl("pageid为" + listpageid, listpageid);
	historyquotelist.init();
	//页面监听
	window.addEventListener('refresh', function(e) {
		ALIEVEDATA=new Map();
		view.empty();
		historyquotelist.init();
	});
});

//下拉刷新
function pulldownRefresh() {
	setTimeout(function() {
		historyquotelist.getListByCid(0, pangeLength, false);
	}, 1000);
};
/**
 * 上拉加载
 */
function pullupRefresh() {
	setTimeout(function() {
		historyquotelist.getListByCid(ALIEVEDATA.size(), pangeLength, true);
	}, 1000);
}

/**
 * 根据指定条件
 * 
 * 获取数据集合
 * @type {{}}
 */
var historyquotelist = {
	/**
	 * 分页查询
	 * @param start
	 * @param length
	 * @param flag
	 */
	getListByCid: function(start, length, flag) {
		var infoStr = getUserInfo(false);
		var param = new Object();
		param.action = '/IlgSuppQuote/historyquotelist.do';
		if(infoStr != null) {
			param.userUuid = infoStr.USERUUID;
			param.token = infoStr.TOKEN;
		} else {
			return;
		}
//		start=dividedby(PAGESUM,length);
		param.page = "[" + PAGESUM + "," + length + "]";
		//-------------------------
		getdatalist(param, function(ret) {
			var data = ret.data;
			sp("历史运单列表信息", data);
			removeNoData();
			if(data.length > 0) {
				PAGESUM = ALIEVEDATA.size();
				//循环遍历
				mui.each(data, function(index, obj) {
					var resultStr = "";
					resultStr = historyquotelist.waybillListLi(obj);
					if(!ALIEVEDATA.isExist(obj.WAYORDERNO)) {
						ALIEVEDATA.put(obj.WAYORDERNO, obj.GOODSNAME);
						if(flag) {
							//加载更多往后追加
							view.append(resultStr);
						} else {
							//下拉刷新往前追加
							view.prepend(resultStr);
						}
					}
				});
				//-------------
				if(flag) {
					if(ALIEVEDATA.size() == PAGESUM) {
						//页面集合数等于数据库总记录数代表没有更多数据
						nomore();
					} else {
						flush(true);
					}
				} else {
					flush();
				}
			} else {
				noData(view, "li");
				nomore();
			}

			if(data) {
				historyquotelist.event();
			}
		});
	},
	waybillListLi: function(data) {
		var html = $("#historyQuoteListLi").html();
		var obj = laytpl(html);
		return obj.render(data);
	},
	event: function() {
		mui("#showT").on("tap", "li", function() {
			var orderno = this.getAttribute("orderNo");
			openHtml('historyquote_detaile.html', orderno);
		});
	},
	/**
	 * 初始化方法
	 * @param cid
	 * @param type
	 */
	init: function() {
		historyquotelist.getListByCid(0, pangeLength, true);
	}
};