/**
 * Created by zj on 2016/8/20
 * 登录专用
 * 
 */

//页面全局id，用来接收页面没有登录时，触发登陆方法
var HTMLID = "";
(function($, doc) {
	$.init({
//		statusBarBackground: '#fb4748'
	});
	/**
	 * 登陆之后重新出发页面的初始化方法
	 */
	function loginBack() {
		if(HTMLID) {
			var page = plus.webview.getWebviewById(HTMLID);
			$.fire(page, "fireLogin");
		} else {
			var page = plus.webview.getWebviewById("pages/quote/quote-main-father.html");
			$.fire(page, "fireLogin");
		}
	}
	//
	$.plusReady(function() {
		//监听页面请求，传过来的页面id，再返回给页面，
		window.addEventListener("listenLogin", function(e) {
			console.log("login页面的方法触发了" + e.detail.id, e.detail.id);
			HTMLID = e.detail.id;
			//获取当前版本号
			plus.runtime.getProperty(plus.runtime.appid, function(inf) {
				if(inf) {
					var wgtVer = inf.version;
					doc.getElementById("version").innerHTML = wgtVer;
				}
			});
		});
		//
		plus.screen.lockOrientation("portrait-primary");
		var settings = app.getSettings();
		var state = app.getState();
		var toMain = function() {
			loginBack();
			plus.webview.hide("login.html");
		};
		//检查 "登录状态/锁屏状态" 开始
		if(settings.autoLogin && state.token && settings.gestures) {
			$.openWindow({
				url: 'unlock.html',
				id: 'unlock',
				show: {
					aniShow: 'pop-in'
				},
				waiting: {
					autoShow: false
				}
			});
		} else if(settings.autoLogin && state.token) {
			toMain();
		} else {
			//第三方登录
		}
		// close splash
		setTimeout(function() {
			//关闭 splash
			plus.navigator.closeSplashscreen();
		}, 600);
		//检查 "登录状态/锁屏状态" 结束
		var loginButton = doc.getElementById('login');
		var accountBox = doc.getElementById('account');
		var passwordBox = doc.getElementById('password');
		//var autoLoginButton = doc.getElementById("autoLogin");
		var forgetButton = doc.getElementById('forgetPassword');
		loginButton.addEventListener('tap', function(event) {
			var loginInfo = {
				userType: "2",
				identityType: "1",
				userName: accountBox.value,
				passWord: passwordBox.value
			};
			app.login(loginInfo, function(err) {
				if(err) {
					plus.nativeUI.toast(err);
					return;
				}
				toMain();
			});
		});
		forgetButton.addEventListener('tap', function(event) {
			$.openWindow({
				url: 'pages/setting/setting_forget_password.html',
				id: 'setting_forget_password.html',
				preload: true,
				show: {
					aniShow: 'pop-in'
				},
				styles: {
					popGesture: 'hide'
				},
				waiting: {
					autoShow: false
				}
			});
		});
		
		$.enterfocus('#login-form input', function() {
			$.trigger(loginButton, 'tap');
		});
	});
}(mui, document));
function zxc(){
	var zzz=document.getElementById("login");
	zzz.style.background="#FA4748";
}