/**
 * Created by zj on 2016/8/18
 * 我的报价相关功能实现
 * 1、查询待报价
 * 2、提交报价
 * 
 */
var ALIEVEDATA = new Map();
var pagestart = 0;
var pangeLength = 5;
var PAGESUM = 0;
var view = $("#showT");

//
var listpageid = "quote_list";
//初始化执行
mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: { // 下拉刷新
			contentrefresh: '正在加载...',
			callback: pulldownRefresh
		}
		//		,
		//		up: { //上拉加载
		//			contentrefresh: '正在加载...',
		//			callback: pullupRefresh
		//		}
	}
});

//
mui.plusReady(function() {
	listpageid = "quote-list.html";
	cl("pageid为" + listpageid, listpageid);
	quoteList.init();
	//页面监听
	window.addEventListener('refresh', function(e) {
		ALIEVEDATA = new Map();
		PAGESUM = 0;
		view.empty();
		quoteList.init();
	});

});

//下拉刷新
function pulldownRefresh() {
	setTimeout(function() {
		quoteList.getListByCid(0, pangeLength, false);
	}, 1000);
};
/**
 * 上拉加载
 */
function pullupRefresh() {
	setTimeout(function() {
		quoteList.getListByCid(ALIEVEDATA.size(), pangeLength, true);
	}, 1000);
}

/**
 * 根据指定条件
 * 获取数据集合
 * @type {{}}
 */
var quoteList = {
	/**
	 * 分页查询
	 * @param start
	 * @param length
	 * @param flag
	 */
	getListByCid: function(start, length, flag) {
		var infoStr = getUserInfo(true);
		var param = new Object();
		var paramcnt = new Object();
		param.action = '/IlgSuppQuote/quotedlist.do';
		param.page = "[" + PAGESUM + "," + length + "]";
		if(infoStr != null) {
			param.userUuid = infoStr.USERUUID;
			param.token = infoStr.TOKEN;
			paramcnt.userUuid = infoStr.USERUUID;
			paramcnt.token = infoStr.TOKEN;
		} else {
			return;
		}
		//-------------------------请求数据----
		getdatalist(param, function(ret) {
			var data = ret.data;
			sp("待报价列表信息", data);
			removeNoData();
			if(data.length > 0) {
				PAGESUM = ALIEVEDATA.size();
				//循环遍历数据
				mui.each(data, function(index, obj) {
					var resultStr = "";
					resultStr = quoteList.quoteListLi(obj);
					if(!ALIEVEDATA.isExist(obj.WAYORDERNO)) {
						ALIEVEDATA.put(obj.WAYORDERNO, obj.GOODSNAME);
						if(flag) {
							//加载更多往后追加
							view.append(resultStr);
						} else {
							//下拉刷新往前追加
							view.prepend(resultStr);
						}
					}
				});
				//-------------刷新后必须执行操作----
				if(flag) {
					if(ALIEVEDATA.size() == PAGESUM) {
						//页面集合数等于数据库总记录数代表没有更多数据
						nomore();
					} else {
						flush(true);
					}
				} else {
					flush();
				}
			} else {
				noData(view, "li");
				nomore();
			}
			if(data) {
				quoteList.event();
			}
		});
		//
		getdetial('/IlgSuppQuote/findquotedcnt.do', paramcnt, function(ret) {
			//获得首页的webview
			var mainhtml = plus.webview.getWebviewById(plus.runtime.appid);
			//触发列表界面的自定义事件（badge）,从而进行数据刷新
			mui.fire(mainhtml, 'badge', {
				cnt: ret.CNTS
			});
		});
	},
	quoteListLi: function(data) {
		var html = $("#quoteListLi").html();
		var obj = laytpl(html);
		return obj.render(data);
	},
	event: function() {
		mui("#showT").on("tap", "li", function() {
			var orderno = this.getAttribute("orderNo");
			openHtml('quote-Detaile.html', orderno);
		});
//		var btnArray = ['确认', '取消'];
//		mui('#showT').on('slideleft', '.mui-table-view-cell', function(event) {
//			var elem = this;
//			mui.confirm('放弃本单报价？', '温馨提示:', btnArray, function(e) {
//				if(e.index == 0) {
//					setTimeout(function() {
//						mui.swipeoutClose(elem);
//					}, 0);
//				} else {
//					setTimeout(function() {
//						mui.swipeoutClose(elem);
//					}, 0);
//				}
//			});
//		});
	},
	/**
	 * 初始化方法
	 * @param cid
	 * @param type
	 */
	init: function() {
		quoteList.getListByCid(0, pangeLength, true);
	}
};