/**
 *	我的报价详情列表
 *	1、当为待报价记录时，则要进行报价
 * 	2、当为已报价、已中标时显示自己的报价金额
 **/

//初始化参数
var retaaData = new Object();
// 初始化
mui.init({
	beforeback: function() {
		//获得列表界面的webview
		var list = plus.webview.getWebviewById('quote-list.html');
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新
		mui.fire(list, 'refresh');
		//返回true，继续页面关闭逻辑
		return true;
	}
});
//页面初始化
mui.plusReady(function() {
	//初始化
	Initialization();
	//更新底部角标
//	zxc();
//	//
	window.addEventListener('refresh', function(e) {
		var OUTLETSADDR = e.detail.outletsAddr;
		//
		$('#recesaddrs').attr('value', OUTLETSADDR);
	});
	//图片预览
	mui.previewImage();
	
});
//初始化方法
var Initialization = function() {
		var data = plus.webview.currentWebview().data;
		var param = new Object();
		param.waybillOrderno = data;
		InitSearch(param);
	}
	//初始化查询
var InitSearch = function(param) {
	//获取详情信息
	getdetial("/IlgSuppQuote/quoteddetails.do", param, function(data) {
		if(data) {
			show(data);
			show2(data);
			showimglist(data.CARGOPHOTOS, "showImg", "showImgList");
			showimglist(data.COMFPHOTO + data.SINGLEPHOTO, "showVoucher", "showVoucherList");
			baojiadisplay(data.LOGISTATUS);
		} else {
			toastShow(messageshowval);
		}
	});
}

//控制显示报价按钮
var baojiadisplay = function(flag) {
	if(flag == 1) { //待报价
		$("#baojiainfo").show();
		//添加报价按钮点击事件
		$("#baojia").on('tap', function() {
			submit_Check();
		});
	} else if(flag == 2) { //已报价
		$("#mybaojie").show();
	}
}

//显示方法
var show = function(dataInfo, index, flag) {
	var view_Str = "#goodsInfoContent";
	var tpl_Str = "#goodsInfoTpl";
	var view = $(view_Str);
	view.empty();
	var tpl = $(tpl_Str).html();
	if(dataInfo) {
		laytpl(tpl).render(dataInfo, function(html) {
			view.append(html);
		});
	} else {
		view.html("没有显示的数据!");
	}
}
var show2 = function(dataInfo, index, flag) {
	var view_Str = "#goodsInfoContent2";
	var tpl_Str = "#goodsInfoTpl2";
	var view = $(view_Str);
	view.empty();
	var tpl = $(tpl_Str).html();
	if(dataInfo) {
		laytpl(tpl).render(dataInfo, function(html) {
			view.append(html);
		});
	} else {
		view.html("没有显示的数据!");
	}
}
//图片列表数据
var showimglist = function(dataInfo, ulid, liid) {
		if(dataInfo != null && dataInfo != '') {
			var data = dataInfo.split("|");
			//循环遍历
			var view_Str = $("#" + ulid + "");
			mui.each(data, function(index, obj) {
				if(obj != '') {
					var resultStr = "";
					resultStr = showimg(obj, liid);
					view_Str.append(resultStr);
				}
			});
		} else {

		}
	}
	//显示图片
var showimg = function(data, liid) {
	var html = $("#" + liid + "").html();
	var obj = laytpl(html);
	return obj.render(apiimgurl + data);
}

//报价表单验证Check
var submit_Check = function() {
	var flag = true;
	var subdata = new Object();
	subdata.waybillOrderno = $("#waybillno").val() || null;
	subdata.ackPrice = $("#price").val() || null;
	subdata.delOutletsAddr = $("#recesaddrs").val() || null;
	subdata.destDotAddress = $("#deliveryaddrs").val() || null;
	subdata.quaTimeArrival = $("#dateTime").val() || null;
	subdata.pickupser = $("#pickupser").val() || null;
	subdata.deliser = $("#deliser").val() || null;
	
	if($("#SHIPDEMANDVAl").val()=="1"){
		subdata.pickupService="1";
	}else if($("#SHIPDEMANDVAl").val()=="2") {
		subdata.pickupService="2";
	}
//	subdata.pickupService = $("#receservicenew").val();
//	subdata.deliService = $("#deliveryservicenew").val() || null;
	if($("#DELIVERYDEMANDVAl").val()=="1"){
		subdata.deliService="1";
	}else if($("#DELIVERYDEMANDVAl").val()=="2") {
		subdata.deliService="2";
	}
    
	if(subdata.ackPrice==null) {
		mui.toast("请输入承运价格!");
		flag = false;
		return;
	}
	if(!(/^(([1-9]\d*)|0)(\.\d{2})?$/.test(subdata.ackPrice))){
        alert("请输入有效的承运价格，小数位最多为两位");
        return false;
    }
//	subdata.ackPrice = formatCurrency(subdata.ackPrice);
//	var index = subdata.ackPrice.indexOf(".");
//  if(index>0 && subdata.ackPrice.substring(index).length>3) {
//      alert("请输入有效的金额，小数位最多为两位");
//      return false;
//  }
//  if((/^(([1-9]\d*)|\d)(\.\d{1,2})?$/.test(subdata.ackPrice))){
//       	alert("请输入合理承运价格!"); 
//       	return false; }
	if (subdata.ackPrice.length>8) {
		mui.toast("请输入合理承运价格!");
			flag = false;
			return;
		}
	
	
//	if(subdata.pickupService==null) {
//		mui.toast("请提供收货服务!");
//		flag = false;
//		return;
//	} else {
//		if(subdata.pickupser="不限"){
//			
//		}else if(subdata.pickupService != subdata.pickupser) {
//			mui.toast("请按货主要求提供收货服务!");
//			flag = false;
//			return;
//		}
//	}
//	if(subdata.deliService==null) {
//		mui.toast("请提供送货服务!");
//		flag = false;
//		return;
//	} else {
//		if(subdata.deliser="不限"){
//			
//		}else if(subdata.deliService != subdata.deliser) {
//			mui.toast("请按货主要求提供送货服务!");
//			flag = false;
//			return;
//		}
//	}
	if(subdata.delOutletsAddr==null) {
		mui.toast("请输入发货网点地址!");
		flag = false;
		return;
	}
	if(subdata.destDotAddress==null) {
		mui.toast("请输入送达网点地址!");
		flag = false;
		return;
	}
	if(subdata.destDotAddress==null) {
		mui.toast("请输入送达网点地址!");
		flag = false;
		return;
	}
	if(subdata.quaTimeArrival==null) {
		mui.toast("请选择拟到达日期!");
		flag = false;
		return;
	}
	
	if(flag) {
		addBaojia(subdata);
	}
}
//提交报价
function addBaojia(data) {
	var url = apiurl + "/IlgSuppQuote/quotefunctions.do";
	var param = data;
	var infoStr = getUserInfo(false);
	if(infoStr) {
		param.userUuid = infoStr.USERUUID;
		param.token = infoStr.TOKEN;
	} else {
		mui.toast("登录失效,请重新登录!");
		return;
	}
	//提交数据
	if(debug) { //debug
		makeUrl(url, args, "【addBaojia】");
	}
	//
	param = parameterHandle(param);
	//AJAX操作，操作数据
	$.ajax(timestamp201696(url, param.timestamp), {
		data: param,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			//关闭加载框
			closeWaiting();
			//服务器返回响应，根据响应结果，分析是否登录成功；
			if(data.returncode == 00) {
				mui.toast(data.message);
				mui.back();
			} else {
				mui.toast(data.message);
			}
		},
		error: ajaxErrorCommon,
		beforeSend: beforeSendCommon
	});
}

function zxc() {
	//收货服务
	var userPicker3 = new mui.PopPicker();
	userPicker3.setData([{
		value: '1',
		text: '上门取货'
	}, {
		value: '2',
		text: '货到网点'
	}]);
	var showUserPickerButton3 = document.getElementById('receservice');
	var weightUnitnew3 = document.getElementById("receservicenew");
	showUserPickerButton3.addEventListener('tap', function(event) {
		userPicker3.show(function(items) {
			showUserPickerButton3.innerHTML = items[0].text;
			weightUnitnew3.value = items[0].value;
			//返回 false 可以阻止选择框的关闭
		});
	}, false);
	//送货服务
	var userPicker2 = new mui.PopPicker();
	userPicker2.setData([{
		value: '1',
		text: '送货上门'
	}, {
		value: '2',
		text: '网点自提'
	}]);
	var showUserPickerButton2 = document.getElementById('deliveryservice');
	var weightUnitnew2 = document.getElementById("deliveryservicenew");
	showUserPickerButton2.addEventListener('tap', function(event) {
		userPicker2.show(function(items) {
			showUserPickerButton2.innerHTML = items[0].text;
			weightUnitnew2.value = items[0].value;
			//返回 false 可以阻止选择框的关闭
		});
	}, false);
}

function sltwdlist(){
	openHtml('indexed-list-select.html');
}
