mui.init();
mui.plusReady(function() {
	//页面布局
	listUrl();
	//跳转其他子页面
	herfPage();
	//请点击登录
	loginEvent();
	//初始化模板
	initTemplates();
	//退出操作******************
	exitAppEvent();
	//************************
	//监听页面请求
	window.addEventListener("fireLogin", function(e) {
		//初始化	模板
		initTemplates();
	});
});
/**
 * 面板功能列表
 * role 为数组，-1表示所有人都能显示
 */
function listUrl() {
	var pages = [{
		group: [{
			"url": "setting-modifyPass.html",
			"content": '密码修改',
			"img": "../../images/modfiypwd.png"
		}, {
			"url": "setting-feedback.html",
			"content": '意见反馈',
			"img": "../../images/yijianfankui.png"
		}]
	}];

	var html = $("#herfPageTpl").html();
	var liobj = laytpl(html);
	var container = $("#vouchers");
	mui.each(pages, function(index, object) {
		var groupArray = object.group;
		var gorupUl = $('<ul class="mui-table-view  exit_sign"></ul>');
		mui.each(groupArray, function(ind, obj) {
			var tplHtml = liobj.render(obj);
			gorupUl.append(tplHtml);
		})
		container.prepend(gorupUl);
	});
}
//跳转到子页面
function herfPage() {
	mui('#vouchers').on('tap', 'a', function() {
		var userStr = getUserInfo();
		if(userStr) {
			var url = this.name;
			var data = {
				id: "",
				name: ""
			};
			openHtml(url, data);
		} else {
			setTimeout(function() {
				var loginPage = plus.webview.getWebviewById("login.html");
				mui.fire(loginPage, "listenLogin", {
					id: "pages/setting/setting-main.html"
				});
				plus.webview.show("login.html");
			}, 1000)
		}
	});
}
//登录
function loginEvent() {
	mui('#plogin').on('tap', 'a', function() {
		var loginPage = plus.webview.getWebviewById("login.html");
		mui.fire(loginPage, "listenLogin", {
			id: "pages/setting/setting-main.html"
		});
		plus.webview.show("login.html");
	});
}
//退出登录
function exitAppEvent() {
	document.getElementById('exit').addEventListener('tap', function() {
		//如果是ios，则直接到登录页面
		userLoginOut();
		if(mui.os.ios) {
			app.setState({});
			initTemplates();
			return;
		}
		//如果是android用户，则给出选择
		var btnArray = [{
			title: "注销当前账号"
		}, {
			title: "直接关闭应用"
		}];
		plus.nativeUI.actionSheet({
			cancel: "取消",
			buttons: btnArray
		}, function(event) {
			var index = event.index;
			switch(index) {
				case 1:
					app.setState({});
					initTemplates();
					break;
				case 2:
					plus.runtime.quit();
					break;
			}
		});
	}, false);
}
//默认面板
function initTemplates() {
	var userStr = getUserInfo(); //设置为自行处理未登录状态
	var useraccoume=getUserAccount();//
	islogin(userStr,useraccoume);
}
//如果登录做处理
function islogin(user,useraccoume) {
	if(user) {
		$("#cname").html(user.NICKNAME);
		$("#caccount").html(useraccoume);
		document.getElementById("incomeDiv").style.display = "block";
		document.getElementById("exit").style.display = "block";
		document.getElementById("cname").style.display = "block";
		document.getElementById("caccount").style.display = "block";
		document.getElementById("plogin").style.display = "none";
	} else {
		document.getElementById("plogin").style.display = "block";
		document.getElementById("cname").style.display = "none";
		document.getElementById("caccount").style.display = "none";
		document.getElementById("incomeDiv").style.display = "none";
		document.getElementById("exit").style.display = "none";
	}
}