/**
 *	我的报价详情列表
 *	1、当为待报价记录时，则要进行报价
 * 	2、当为已报价、已中标时显示自己的报价金额
 **/

//初始化参数
var retaaData = new Object();
//图片上传相关参数
var index = 1;
var size = null;
var imageIndexIdNum = 0;
var starIndex = 0;
var goods = {
	imageList: document.getElementById('image-list')
};
var uploadimgurl = apiurl + '/IlgImageUpload/imageupload.do';
goods.files = [];
goods.uploader = null;
var routePath = "waybill";
// 初始化
mui.init({
	beforeback: function() {
		//获得列表界面的webview
		var list = plus.webview.getWebviewById('waybill-List.html_1');
		//触发列表界面的自定义事件（refresh）,从而进行数据刷新
		mui.fire(list, 'refresh');
		//返回true，继续页面关闭逻辑
		return true;
	}
});

//初始化方法
var Initialization = function() {
	var data = plus.webview.currentWebview().data;
	var param = new Object();
	param.waybillOrderno = data;
	InitSearch(param);
}

//页面初始化,所有的方法都放在这里
mui.plusReady(function() {
	//初始化
	Initialization();
	//空出图片占位
	newPlaceholder();
	//图片预览
	mui.previewImage();
});

//初始化查询
var InitSearch = function(param) {
	//获取详情信息
	getdetial("/IlgSuppWaybill/querysupplierwaybilldetail.do", param, function(data) {
		if(data) {
			show(data);
			//显示货物图片
			showimglist(data.CARGOPHOTOS, "showImg", "showImgList");
			//显示凭证图片
			showimglist(data.COMFPHOTO + data.SINGLEPHOTO, "showVoucher", "showVoucherList");
			//不同状态选择
			choice(data.LOGISTATUS, data.PAYMENTTYPE, data.PLATPUMPING);
			//回单备注显示
		} else {
			toastShow(messageshowval);
		}
	});
}

//控制显示报价按钮
var choice = function(flag, paytype, platpumping) {
	if(flag == 4) { //确认发货
		$("#querenfahuo").show();
		$("#image-list").show();
		$("#imgwarn").show();
		//添加发货按钮点击事件
		$("#btnfahuo").on('tap', function() {
			submit_Check(1);
		});
	} else if(flag == 5) { //确认送达
		if(paytype == 2) { //提付
			$("#btnsongda").text("货物已送达并已收款");
		}
		$("#querensongda").show();
		$("#image-list").show();
		$("#imgwarn").show();
		//添加送达按钮点击事件
		$("#btnsongda").on('tap', function() {
			submit_Check(2);
		});
	} else if(flag == 8) { //支付
		$("#paydiv").show();
		$("#payje").val(platpumping);
		$("#zfyj").on('tap', function() {
			var waybillOrderno = $("#waybillno").val();
			payCommission(platpumping, waybillOrderno);
		});

	}else if(flag == 6){
		$("#huidanbeizhu").show();
	}
}

//显示方法
var show = function(dataInfo, index, flag) {
	var view_Str = "#goodsInfoContent";
	var tpl_Str = "#goodsInfoTpl";
	var view = $(view_Str);
	view.empty();
	var tpl = $(tpl_Str).html();
	if(dataInfo) {
		laytpl(tpl).render(dataInfo, function(html) {
			view.append(html);
		});
	} else {
		view.html("没有显示的数据!");
	}
}

//图片列表数据
var showimglist = function(dataInfo, ulid, liid) {
		if(dataInfo != null && dataInfo != '') {
			var data = dataInfo.split("|");
			//循环遍历
			var view_Str = $("#" + ulid + "");
			mui.each(data, function(index, obj) {
				if(obj != '') {
					var resultStr = "";
					resultStr = showimg(obj, liid);
					view_Str.append(resultStr);
				}
			});
		} else {

		}
	}
	//显示图片
var showimg = function(data, liid) {
		var html = $("#" + liid + "").html();
		var obj = laytpl(html);
		return obj.render(apiimgurl + data);
	}
	//报价表单验证Check
var submit_Check = function(state) {
	var flag = true;
	var subdata = new Object();
	var infoStr = getUserInfo(false);
	if(infoStr) {
		subdata.userUuid = infoStr.USERUUID;
		subdata.token = infoStr.TOKEN;
	} else {
		mui.toast("登录失效,请重新登录!");
		return;
	}
	subdata.waybillOrderno = $("#waybillno").val();
	subdata.state = state;
	subdata.notes = $("#notes").val() || "";
	if(goods.files.length == 0) {
		if(state == 1) {
			mui.toast("请上传承运凭证!");
		} else {
			mui.toast("请上传签收凭证!");
		}
		flag = false;
		return;
	}
	if(flag) {
		//执行上传图片
		send({
			path: "waybill",
			images: goods.files,
			userUuid: subdata.userUuid
		}, subdata);
	}
}

//提交
function tjBtn(subdata) {
	var url = apiurl + "/IlgSuppWaybill/modifysupplierwaybillstate.do";
	var param = subdata;
	//提交数据
	if(debug) { //debug
		makeUrl(url, args, "【tjBtn】");
	}
	//处理参数
	param = parameterHandle(param);
	//AJAX操作，操作数据
	$.ajax(timestamp201696(url, param.timestamp), {
		data: param,
		dataType: 'json', //服务器返回json格式数据
		type: 'post', //HTTP请求类型
		timeout: 10000, //超时时间设置为10秒；
		success: function(data) {
			//关闭加载框
			closeWaiting();
			//服务器返回响应，根据响应结果，分析是否登录成功；
			if(data.returncode == 00) {
				mui.toast(data.message);
				mui.back();
			} else {
				toastShow(messageshowval);
			}
		},
		error: ajaxErrorCommon
	});
}

//支付订单
function payCommission(je, orderno) {
	var url = apiurl + "/IlgSuppWaybill/modifysupplierwaybillstate.do";
	var param = new Object();
	var infoStr = getUserInfo(false);
	if(infoStr) {
		param.userUuid = infoStr.USERUUID;
		param.token = infoStr.TOKEN;
	} else {
		mui.toast("登录失效,请重新登录!");
		return;
	}
	param.orderNo = orderno;
	param.je = je;
	pay('alipay', param);
}

/**
 * ==================================
 * 图片上传
 * ==================================
 * 
 * */
/**
 * 初始化图片域占位
 */
function newPlaceholder() {
	var fileInputArray = getFileInputArray();
	if(fileInputArray &&
		fileInputArray.length > 0 &&
		fileInputArray[fileInputArray.length - 1].parentNode.classList.contains('space')) {
		return;
	};
	imageIndexIdNum++;
	var placeholder = document.createElement('div');
	placeholder.setAttribute('class', 'image-item space');
	var up = document.createElement("div");
	up.setAttribute('class', 'image-up')
		//删除图片
	var closeButton = document.createElement('div');
	closeButton.setAttribute('class', 'image-close');
	closeButton.innerHTML = 'X';
	//小X的点击事件
	closeButton.addEventListener('tap', function(event) {
		setTimeout(function() {
			goods.imageList.removeChild(placeholder);
		}, 0);
		return false;
	}, false);
	//
	var fileInput = document.createElement('div');
	fileInput.setAttribute('class', 'file');
	fileInput.setAttribute('id', 'image-' + imageIndexIdNum);
	fileInput.addEventListener('tap', function(event) {
		if(goods.files.length>=3){
			alert("最多上传3张图片!");
			return false;
		}
		var self = this;
		var index = (this.id).substr(-1);
		//选择从相册选取还是拍照
		if(mui.os.plus) {
			var a = [{
				title: "拍照"
			}, {
				title: "从手机相册选择"
			}];
			plus.nativeUI.actionSheet({
				title: "选择凭证图片",
				cancel: "取消",
				buttons: a
			}, function(b) { /*actionSheet 按钮点击事件*/
				switch(b.index) {
					case 0:
						break;
					case 1:
						/*拍照*/
						var cmr = plus.camera.getCamera();
						cmr.captureImage(function(p) {
							plus.io.resolveLocalFileSystemURL(p, function(entry) {
								var e = entry.toLocalURL(); //把拍照的目录路径，变成本地url路径
								var name = e.substr(e.lastIndexOf('/') + 1);
								console.log("name:" + name);
								plus.zip.compressImage({
									src: e,
									dst: '_doc/' + name,
									overwrite: true,
									quality: 50
								}, function(zip) {
									size += zip.size
									console.log("filesize:" + zip.size + ",totalsize:" + size);
									if(size > (10 * 1024 * 1024)) {
										return mui.toast('文件超大(超过10M),请重新拍照~');
									}
									if(!self.parentNode.classList.contains('space')) { //已有图片
										goods.files.splice(index - 1, 1, {
											name: "images" + index,
											path: e
										});
									} else { //加号
										placeholder.classList.remove('space');
										addFile(zip.target);
										newPlaceholder();
									}
									up.classList.remove('image-up');
									placeholder.style.backgroundImage = 'url(' + zip.target + ')';
								}, function(zipe) {
									//mui.toast('压缩失败！');
								});

							});
						}, function(e) {
							//							mui.toast("很抱歉，获取失败");
						});
						break;
					case 2:
						/*打开相册*/
						plus.gallery.pick(function(e) {
							var name = e.substr(e.lastIndexOf('/') + 1);
							console.log("name:" + name);
							plus.zip.compressImage({
								src: e,
								dst: '_doc/' + name,
								overwrite: true,
								quality: 50
							}, function(zip) {
								size += zip.size
								console.log("filesize:" + zip.size + ",totalsize:" + size);
								if(size > (10 * 1024 * 1024)) {
									return mui.toast('文件超大(超过10M),请重新选择~');
								}
								if(!self.parentNode.classList.contains('space')) { //已有图片
									goods.files.splice(index - 1, 1, {
										name: "images" + index,
										path: e
									});
								} else { //加号
									placeholder.classList.remove('space');
									addFile(zip.target);
									newPlaceholder();
								}
								up.classList.remove('image-up');
								placeholder.style.backgroundImage = 'url(' + zip.target + ')';
							}, function(zipe) {
								//mui.toast('压缩失败！');
							});
						}, function(e) {
							//mui.toast('取消选择');
						}, {});
						break;
					default:
						break;
				}
			})
		}
	}, false);
	placeholder.appendChild(closeButton);
	placeholder.appendChild(up);
	placeholder.appendChild(fileInput);
	goods.imageList.appendChild(placeholder);
}
//上传照片
function send(content, param, url) {
	if(goods.files.length<=0){
		alert("请至少上传1张图片!");
		closeWaiting();
		return false;
	}
	goods.uploader = plus.uploader.createUpload(uploadimgurl, {
		method: 'post'
	}, function(upload, status) {
		console.log("upload cb:" + upload.responseText);
		if(status == 200) {
			var data = JSON.parse(upload.responseText);
			//上传成功，重置表单
			clearForm();
			if(data.returncode == 00) {
				//提交数据
				param.picAddres = data.data.FILLPATH;
				tjBtn(param);
			} else {
				toastShow(messageshowval);
			}
		} else {
			console.log("upload fail");
		}
	});
	//添加上传数据
	mui.each(content, function(index, element) {
		if(index !== 'images') {
			console.log("addData:" + index + "," + element);
			goods.uploader.addData(index, element)
		}
	});
	//添加上传文件
	mui.each(goods.files, function(index, element) {
		var f = goods.files[index];
		console.log("addFile:" + JSON.stringify(f));
		goods.uploader.addFile(f.path, {
			key: f.name
		});
	});
	//开始上传任务
	goods.uploader.start();
	showWaiting();
}
/**
 *恢复相关参数项 
 */
function clearForm() {
	goods.imageList.innerHTML = '';
	newPlaceholder();
	goods.files = [];
	index = 0;
	size = 0;
	imageIndexIdNum = 0;
}

function getFileInputArray() {
	return [].slice.call(goods.imageList.querySelectorAll('.file'));
}

function addFile(path) {
	goods.files.push({
		name: "images" + index,
		path: path
	});
	index++;
}